package cn.iocoder.yudao.module.jx.service;

import cn.iocoder.yudao.module.jx.payment.entity.PayEntity;
import cn.iocoder.yudao.module.jx.payment.vo.PayNumberVo;
import cn.iocoder.yudao.module.jx.payment.vo.PayVo;
import cn.iocoder.yudao.module.jx.payment.vo.SchoolCourseVo;
import com.alibaba.fastjson2.JSONObject;
import cn.iocoder.yudao.module.jx.domain.DriveSchoolCoach;
import cn.iocoder.yudao.module.jx.vo.RecentlyDateVo;

import com.tencentcloudapi.common.exception.TencentCloudSDKException;

import java.util.List;

public interface DrivePayService {
    Integer insertPayInfo(PayEntity payEntity);

    List<PayVo> findPayListAll(Integer status);

    SchoolCourseVo findPayByBookingId(Long courseId, Long jlId, Long userId);

    PayNumberVo findPayListAllNumber(String currentDate) throws Exception;

    DriveSchoolCoach findSelfJl();

    PayVo findSelfInfo();

    List<RecentlyDateVo> findRecentlyDate();

    void insertBookingInfo(String currentDate, Integer period, Integer jlId);
    JSONObject infoCardOCR(String imagePath) throws TencentCloudSDKException;


}
